Package org.optaplanner.core.impl.solver.io

## Class XStreamConfigReader

- java.lang.Object
- - org.optaplanner.core.impl.solver.io.XStreamConfigReader

-     public final class XStreamConfigReader
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static com.thoughtworks.xstream.XStream` | `buildXStream()` | Builds the `XStream` setup which is used to read/write `solver configs` and benchmark configs.
    `static com.thoughtworks.xstream.XStream` | `buildXStream​(ClassLoader classLoader)` | As defined by `buildXStream()`.
    `static com.thoughtworks.xstream.XStream` | `buildXStream​(ClassLoader classLoader, Class... xStreamAnnotations)` |
    `static com.thoughtworks.xstream.XStream` | `buildXStreamPortable​(ClassLoader classLoader, Class... xStreamAnnotations)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### buildXStream

          public static com.thoughtworks.xstream.XStream buildXStream()

      Builds the `XStream` setup which is used to read/write `solver configs` and benchmark configs. It should never be used to read/write `solutions`. Use XStreamSolutionFileIO for that instead.
      Returns:
        never null.

    - #### buildXStream

          public static com.thoughtworks.xstream.XStream buildXStream​(ClassLoader classLoader)

      As defined by `buildXStream()`.
      Parameters:
        `classLoader` - sometimes null, ignored if null
      Returns:
        never null

    - #### buildXStream

          public static com.thoughtworks.xstream.XStream buildXStream​(ClassLoader classLoader,
                                                                      Class... xStreamAnnotations)

    - #### buildXStreamPortable

          public static com.thoughtworks.xstream.XStream buildXStreamPortable​(ClassLoader classLoader,
                                                                              Class... xStreamAnnotations)